---
- name: initial server configuration
  hosts: all
  become: true
  roles:
    - role: bootstrap
    - role: epel

- name: start nfsserver
  hosts: nfsserver
  become: true
  roles:
    - role: nfsserver

- name: start autofs
  hosts: nfsclients
  become: true
  roles:
    - role: autofs

- name: start nginx
  hosts: web
  become: true
  roles:
    - role: nginxproxy

- name: install docker, docker-compose
  hosts: web
  become: true
  roles:
    - role: buildtools
    - role: core_dependencies
    - role: python_pip
    - role: docker
    - role: docker_compose

- name: install docker, docker-compose
  hosts: web
  become: true
  roles:
    - role: buildtools
    - role: core_dependencies
    - role: python_pip
    - role: docker
    - role: docker_compose

- import_playbook: playbooks/deploy-playbook/deploy-playbook.yml
